<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/expansionquestobjectivedata.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d26/a02162_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionquestobjectivedata.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d26/a02162.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionQuestObjectiveData.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">//! DEPRECATED BUT STILL HERE FOR CONVERSION</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../de/d20/a06437.html">   14</a></span><span class="comment"></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d20/a06437.html">ExpansionQuestTimestampData</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d20/a06437.html#aade3611eb3a1477391e9e5005dda8506">   16</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d20/a06437.html#aade3611eb3a1477391e9e5005dda8506">QuestID</a> = -1;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/d20/a06437.html#aa3eefc00036e0f2f0a9192f2796f91e0">   17</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d20/a06437.html#aa3eefc00036e0f2f0a9192f2796f91e0">Timestamp</a> = -1;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>};</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment"></span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">//! DEPRECATED BUT STILL HERE FOR CONVERSION</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html">   21</a></span><span class="comment"></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/da2/a06441.html">ExpansionQuestObjectiveDataV0</a></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#add3f15fd941bdeeff6563c1cdad67d5e">   23</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#add3f15fd941bdeeff6563c1cdad67d5e">QuestID</a> = -1;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#a3149f5de2a3f38307cf69ccf92e20d43">   24</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#a3149f5de2a3f38307cf69ccf92e20d43">ObjectiveIndex</a> = -1;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#a1e6a5e61a161e5388b2a8623920d5744">   25</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#a1e6a5e61a161e5388b2a8623920d5744">ObjectiveType</a> = <a class="code hl_enumeration" href="../../d7/d4c/a02165.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a>.NONE;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#aeaa60124966a0e5fe03721d326dfe2b9">   26</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#aeaa60124966a0e5fe03721d326dfe2b9">IsCompleted</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#a85d2f8b2a907ab1dbd6ef4b5b45d6073">   27</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#a85d2f8b2a907ab1dbd6ef4b5b45d6073">IsActive</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#a89ff724082927f7078fc38ca12a8b297">   28</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#a89ff724082927f7078fc38ca12a8b297">ObjectiveAmount</a> = -1;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#a6195adce8082d886f49514c1a74a724b">   29</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/da2/a06441.html#a6195adce8082d886f49514c1a74a724b">ObjectiveCount</a> = -1;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d5/da2/a06441.html#a83f880ee6c6c4d5327b3287e3e16dff7">   30</a></span>    vector <a class="code hl_variable" href="../../d5/da2/a06441.html#a83f880ee6c6c4d5327b3287e3e16dff7">ObjectivePosition</a> = vector.Zero;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>};</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html">   33</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d6e/a06445.html">ExpansionQuestObjectiveData</a></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>{</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">   35</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a> = -1;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">   36</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a> = <a class="code hl_enumeration" href="../../d7/d4c/a02165.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a>.NONE;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">   37</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">   38</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">   39</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a> = -1;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">   40</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a> = -1;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">   41</a></span>    vector <a class="code hl_variable" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a> = vector.Zero;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">   43</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">   44</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a> = -1;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#adaa42cf618a9b0131a057c7825895eb7">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#adaa42cf618a9b0131a057c7825895eb7">SetObjectiveIndex</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a> = index;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#aeb6c72ff49382c0ab92afa8d6478c93d">   51</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#aeb6c72ff49382c0ab92afa8d6478c93d">GetObjectiveIndex</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a68e03878a221cbce69cfe5559be1d167">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a68e03878a221cbce69cfe5559be1d167">SetObjectiveType</a>(<span class="keywordtype">int</span> type)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a> =type;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a327e8ad7607ea695f241d63b2559fb46">   61</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a327e8ad7607ea695f241d63b2559fb46">GetObjectiveType</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#ac734e16f17c7130d3b5a808e81f9325e">   66</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#ac734e16f17c7130d3b5a808e81f9325e">SetCompleted</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a> = state;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#ad2780dbcddc91df866a0452dc38ce614">   71</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#ad2780dbcddc91df866a0452dc38ce614">IsCompleted</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a94b7bbc81306eaa695a8b20e30734fef">   76</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a94b7bbc81306eaa695a8b20e30734fef">SetActive</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a> = state;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#abf7e08e1c58934132aebc2a95dbd72f9">   81</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#abf7e08e1c58934132aebc2a95dbd72f9">IsActive</a>()</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a6378dc47174f50229ad4ee5cd573d7c2">   86</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a6378dc47174f50229ad4ee5cd573d7c2">SetObjectiveAmount</a>(<span class="keywordtype">int</span> count)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a> = count;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a2ef94bc2e0aa9e8bf78068cc1d13f9a2">   91</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a2ef94bc2e0aa9e8bf78068cc1d13f9a2">GetObjectiveAmount</a>()</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a394cfa8b50d13385b1e25fa0bbd22918">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a394cfa8b50d13385b1e25fa0bbd22918">SetObjectiveCount</a>(<span class="keywordtype">int</span> count)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a> = count;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a8078c47c69c3a967c24c93cae8056b6b">  101</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a8078c47c69c3a967c24c93cae8056b6b">GetObjectiveCount</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a65722e081c6053c210de7f902a8a4635">  106</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a65722e081c6053c210de7f902a8a4635">SetObjectivePosition</a>(vector pos)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a> = pos;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a4b6f28a56be53cdf63a36fd420da72f3">  111</a></span>    vector <a class="code hl_function" href="../../d6/d6e/a06445.html#a4b6f28a56be53cdf63a36fd420da72f3">GetObjectivePosition</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a77c7031a475a591820fc6480c29a052d">  116</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a77c7031a475a591820fc6480c29a052d">SetActionState</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a> = state;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#aaf4024d77b099a6f7486520788115dda">  121</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#aaf4024d77b099a6f7486520788115dda">GetActionState</a>()</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#ae4a26ab07e956dabbd81b2ec6ba4ae83">  126</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#ae4a26ab07e956dabbd81b2ec6ba4ae83">SetTimeLimit</a>(<span class="keywordtype">int</span> time)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_variable" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a> = time;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#a356b97e394ab88e949d84a61b12fa5f3">  131</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#a356b97e394ab88e949d84a61b12fa5f3">GetTimeLimit</a>()</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a>;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#acda02101c53d325b9184299d2f9b484d">  136</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#acda02101c53d325b9184299d2f9b484d">OnSend</a>(ParamsWriteContext ctx)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a>);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a>);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a>);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a>);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a>);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a>);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        ctx.Write(<a class="code hl_variable" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a>);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#af74d4424dbe688e2c498b65dec8fde23">  149</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#af74d4424dbe688e2c498b65dec8fde23">OnRecieve</a>(ParamsReadContext ctx)</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a>))</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a>))</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a>))</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a>))</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a>))</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a>))</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a>))</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a>))</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a>))</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d6/d6e/a06445.html#aacb690b450b13883db0ef680c615946c">  181</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d6e/a06445.html#aacb690b450b13883db0ef680c615946c">QuestDebug</a>()</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span><span class="preprocessor">    #ifdef EXPANSIONMODQUESTSMODULEDEBUG</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        Print(<span class="stringliteral">&quot;------------------------------------------------------------&quot;</span>);</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - ObjectiveIndex: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a>);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - ObjectiveType: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a>);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - IsCompleted: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a>);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - IsActive: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a>);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - ObjectiveAmount: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a>);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - ObjectiveCount: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a>);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - ObjectivePosition: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a>);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - ActionState: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a>);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        Print(ToString() + <span class="stringliteral">&quot;::QuestDebug - TimeLimit: &quot;</span> + <a class="code hl_variable" href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a>);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        Print(<span class="stringliteral">&quot;------------------------------------------------------------&quot;</span>);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>};</div>
<div class="ttc" id="aa02165_html_aabce516118dec3a3b68bd2e23c8894af"><div class="ttname"><a href="../../d7/d4c/a02165.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a></div><div class="ttdeci">ExpansionQuestObjectiveType</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d4c/a02165_source.html#l00013">expansionquestobjectivetype.c:14</a></div></div>
<div class="ttc" id="aa06437_html"><div class="ttname"><a href="../../de/d20/a06437.html">ExpansionQuestTimestampData</a></div><div class="ttdoc">DEPRECATED BUT STILL HERE FOR CONVERSION.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00014">expansionquestobjectivedata.c:15</a></div></div>
<div class="ttc" id="aa06437_html_aa3eefc00036e0f2f0a9192f2796f91e0"><div class="ttname"><a href="../../de/d20/a06437.html#aa3eefc00036e0f2f0a9192f2796f91e0">ExpansionQuestTimestampData::Timestamp</a></div><div class="ttdeci">int Timestamp</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00017">expansionquestobjectivedata.c:17</a></div></div>
<div class="ttc" id="aa06437_html_aade3611eb3a1477391e9e5005dda8506"><div class="ttname"><a href="../../de/d20/a06437.html#aade3611eb3a1477391e9e5005dda8506">ExpansionQuestTimestampData::QuestID</a></div><div class="ttdeci">int QuestID</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00016">expansionquestobjectivedata.c:16</a></div></div>
<div class="ttc" id="aa06441_html"><div class="ttname"><a href="../../d5/da2/a06441.html">ExpansionQuestObjectiveDataV0</a></div><div class="ttdoc">DEPRECATED BUT STILL HERE FOR CONVERSION.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00021">expansionquestobjectivedata.c:22</a></div></div>
<div class="ttc" id="aa06441_html_a1e6a5e61a161e5388b2a8623920d5744"><div class="ttname"><a href="../../d5/da2/a06441.html#a1e6a5e61a161e5388b2a8623920d5744">ExpansionQuestObjectiveDataV0::ObjectiveType</a></div><div class="ttdeci">int ObjectiveType</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00025">expansionquestobjectivedata.c:25</a></div></div>
<div class="ttc" id="aa06441_html_a3149f5de2a3f38307cf69ccf92e20d43"><div class="ttname"><a href="../../d5/da2/a06441.html#a3149f5de2a3f38307cf69ccf92e20d43">ExpansionQuestObjectiveDataV0::ObjectiveIndex</a></div><div class="ttdeci">int ObjectiveIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00024">expansionquestobjectivedata.c:24</a></div></div>
<div class="ttc" id="aa06441_html_a6195adce8082d886f49514c1a74a724b"><div class="ttname"><a href="../../d5/da2/a06441.html#a6195adce8082d886f49514c1a74a724b">ExpansionQuestObjectiveDataV0::ObjectiveCount</a></div><div class="ttdeci">int ObjectiveCount</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00029">expansionquestobjectivedata.c:29</a></div></div>
<div class="ttc" id="aa06441_html_a83f880ee6c6c4d5327b3287e3e16dff7"><div class="ttname"><a href="../../d5/da2/a06441.html#a83f880ee6c6c4d5327b3287e3e16dff7">ExpansionQuestObjectiveDataV0::ObjectivePosition</a></div><div class="ttdeci">vector ObjectivePosition</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00030">expansionquestobjectivedata.c:30</a></div></div>
<div class="ttc" id="aa06441_html_a85d2f8b2a907ab1dbd6ef4b5b45d6073"><div class="ttname"><a href="../../d5/da2/a06441.html#a85d2f8b2a907ab1dbd6ef4b5b45d6073">ExpansionQuestObjectiveDataV0::IsActive</a></div><div class="ttdeci">bool IsActive</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00027">expansionquestobjectivedata.c:27</a></div></div>
<div class="ttc" id="aa06441_html_a89ff724082927f7078fc38ca12a8b297"><div class="ttname"><a href="../../d5/da2/a06441.html#a89ff724082927f7078fc38ca12a8b297">ExpansionQuestObjectiveDataV0::ObjectiveAmount</a></div><div class="ttdeci">int ObjectiveAmount</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00028">expansionquestobjectivedata.c:28</a></div></div>
<div class="ttc" id="aa06441_html_add3f15fd941bdeeff6563c1cdad67d5e"><div class="ttname"><a href="../../d5/da2/a06441.html#add3f15fd941bdeeff6563c1cdad67d5e">ExpansionQuestObjectiveDataV0::QuestID</a></div><div class="ttdeci">int QuestID</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00023">expansionquestobjectivedata.c:23</a></div></div>
<div class="ttc" id="aa06441_html_aeaa60124966a0e5fe03721d326dfe2b9"><div class="ttname"><a href="../../d5/da2/a06441.html#aeaa60124966a0e5fe03721d326dfe2b9">ExpansionQuestObjectiveDataV0::IsCompleted</a></div><div class="ttdeci">bool IsCompleted</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00026">expansionquestobjectivedata.c:26</a></div></div>
<div class="ttc" id="aa06445_html"><div class="ttname"><a href="../../d6/d6e/a06445.html">ExpansionQuestObjectiveData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00033">expansionquestobjectivedata.c:34</a></div></div>
<div class="ttc" id="aa06445_html_a0839d9f94afb32352c5ee188183c1562"><div class="ttname"><a href="../../d6/d6e/a06445.html#a0839d9f94afb32352c5ee188183c1562">ExpansionQuestObjectiveData::ObjectiveCount</a></div><div class="ttdeci">int ObjectiveCount</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00040">expansionquestobjectivedata.c:40</a></div></div>
<div class="ttc" id="aa06445_html_a181c627ecf06bed82f3c86beee7b343f"><div class="ttname"><a href="../../d6/d6e/a06445.html#a181c627ecf06bed82f3c86beee7b343f">ExpansionQuestObjectiveData::IsActive</a></div><div class="ttdeci">bool IsActive</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00038">expansionquestobjectivedata.c:38</a></div></div>
<div class="ttc" id="aa06445_html_a2ef94bc2e0aa9e8bf78068cc1d13f9a2"><div class="ttname"><a href="../../d6/d6e/a06445.html#a2ef94bc2e0aa9e8bf78068cc1d13f9a2">ExpansionQuestObjectiveData::GetObjectiveAmount</a></div><div class="ttdeci">int GetObjectiveAmount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00091">expansionquestobjectivedata.c:91</a></div></div>
<div class="ttc" id="aa06445_html_a327e8ad7607ea695f241d63b2559fb46"><div class="ttname"><a href="../../d6/d6e/a06445.html#a327e8ad7607ea695f241d63b2559fb46">ExpansionQuestObjectiveData::GetObjectiveType</a></div><div class="ttdeci">int GetObjectiveType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00061">expansionquestobjectivedata.c:61</a></div></div>
<div class="ttc" id="aa06445_html_a356b97e394ab88e949d84a61b12fa5f3"><div class="ttname"><a href="../../d6/d6e/a06445.html#a356b97e394ab88e949d84a61b12fa5f3">ExpansionQuestObjectiveData::GetTimeLimit</a></div><div class="ttdeci">int GetTimeLimit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00131">expansionquestobjectivedata.c:131</a></div></div>
<div class="ttc" id="aa06445_html_a394cfa8b50d13385b1e25fa0bbd22918"><div class="ttname"><a href="../../d6/d6e/a06445.html#a394cfa8b50d13385b1e25fa0bbd22918">ExpansionQuestObjectiveData::SetObjectiveCount</a></div><div class="ttdeci">void SetObjectiveCount(int count)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00096">expansionquestobjectivedata.c:96</a></div></div>
<div class="ttc" id="aa06445_html_a43ac01355c62372b97474a6b07529f1b"><div class="ttname"><a href="../../d6/d6e/a06445.html#a43ac01355c62372b97474a6b07529f1b">ExpansionQuestObjectiveData::ObjectiveAmount</a></div><div class="ttdeci">int ObjectiveAmount</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00039">expansionquestobjectivedata.c:39</a></div></div>
<div class="ttc" id="aa06445_html_a4b6f28a56be53cdf63a36fd420da72f3"><div class="ttname"><a href="../../d6/d6e/a06445.html#a4b6f28a56be53cdf63a36fd420da72f3">ExpansionQuestObjectiveData::GetObjectivePosition</a></div><div class="ttdeci">vector GetObjectivePosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00111">expansionquestobjectivedata.c:111</a></div></div>
<div class="ttc" id="aa06445_html_a4bf4a58a5ba7a2a882628eb06c16db2a"><div class="ttname"><a href="../../d6/d6e/a06445.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ExpansionQuestObjectiveData::ActionState</a></div><div class="ttdeci">bool ActionState</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00043">expansionquestobjectivedata.c:43</a></div></div>
<div class="ttc" id="aa06445_html_a62c284bb2af938eac0d908a84e630974"><div class="ttname"><a href="../../d6/d6e/a06445.html#a62c284bb2af938eac0d908a84e630974">ExpansionQuestObjectiveData::IsCompleted</a></div><div class="ttdeci">bool IsCompleted</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00037">expansionquestobjectivedata.c:37</a></div></div>
<div class="ttc" id="aa06445_html_a6378dc47174f50229ad4ee5cd573d7c2"><div class="ttname"><a href="../../d6/d6e/a06445.html#a6378dc47174f50229ad4ee5cd573d7c2">ExpansionQuestObjectiveData::SetObjectiveAmount</a></div><div class="ttdeci">void SetObjectiveAmount(int count)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00086">expansionquestobjectivedata.c:86</a></div></div>
<div class="ttc" id="aa06445_html_a65722e081c6053c210de7f902a8a4635"><div class="ttname"><a href="../../d6/d6e/a06445.html#a65722e081c6053c210de7f902a8a4635">ExpansionQuestObjectiveData::SetObjectivePosition</a></div><div class="ttdeci">void SetObjectivePosition(vector pos)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00106">expansionquestobjectivedata.c:106</a></div></div>
<div class="ttc" id="aa06445_html_a68e03878a221cbce69cfe5559be1d167"><div class="ttname"><a href="../../d6/d6e/a06445.html#a68e03878a221cbce69cfe5559be1d167">ExpansionQuestObjectiveData::SetObjectiveType</a></div><div class="ttdeci">void SetObjectiveType(int type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00056">expansionquestobjectivedata.c:56</a></div></div>
<div class="ttc" id="aa06445_html_a77c7031a475a591820fc6480c29a052d"><div class="ttname"><a href="../../d6/d6e/a06445.html#a77c7031a475a591820fc6480c29a052d">ExpansionQuestObjectiveData::SetActionState</a></div><div class="ttdeci">void SetActionState(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00116">expansionquestobjectivedata.c:116</a></div></div>
<div class="ttc" id="aa06445_html_a8078c47c69c3a967c24c93cae8056b6b"><div class="ttname"><a href="../../d6/d6e/a06445.html#a8078c47c69c3a967c24c93cae8056b6b">ExpansionQuestObjectiveData::GetObjectiveCount</a></div><div class="ttdeci">int GetObjectiveCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00101">expansionquestobjectivedata.c:101</a></div></div>
<div class="ttc" id="aa06445_html_a8e28624c7e47e7b40b121c1a3b2df776"><div class="ttname"><a href="../../d6/d6e/a06445.html#a8e28624c7e47e7b40b121c1a3b2df776">ExpansionQuestObjectiveData::ObjectivePosition</a></div><div class="ttdeci">vector ObjectivePosition</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00041">expansionquestobjectivedata.c:41</a></div></div>
<div class="ttc" id="aa06445_html_a907d094fdb12216792750129369adaa7"><div class="ttname"><a href="../../d6/d6e/a06445.html#a907d094fdb12216792750129369adaa7">ExpansionQuestObjectiveData::ObjectiveIndex</a></div><div class="ttdeci">int ObjectiveIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00035">expansionquestobjectivedata.c:35</a></div></div>
<div class="ttc" id="aa06445_html_a94b7bbc81306eaa695a8b20e30734fef"><div class="ttname"><a href="../../d6/d6e/a06445.html#a94b7bbc81306eaa695a8b20e30734fef">ExpansionQuestObjectiveData::SetActive</a></div><div class="ttdeci">void SetActive(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00076">expansionquestobjectivedata.c:76</a></div></div>
<div class="ttc" id="aa06445_html_aacb690b450b13883db0ef680c615946c"><div class="ttname"><a href="../../d6/d6e/a06445.html#aacb690b450b13883db0ef680c615946c">ExpansionQuestObjectiveData::QuestDebug</a></div><div class="ttdeci">void QuestDebug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00181">expansionquestobjectivedata.c:181</a></div></div>
<div class="ttc" id="aa06445_html_aaf4024d77b099a6f7486520788115dda"><div class="ttname"><a href="../../d6/d6e/a06445.html#aaf4024d77b099a6f7486520788115dda">ExpansionQuestObjectiveData::GetActionState</a></div><div class="ttdeci">bool GetActionState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00121">expansionquestobjectivedata.c:121</a></div></div>
<div class="ttc" id="aa06445_html_abf7e08e1c58934132aebc2a95dbd72f9"><div class="ttname"><a href="../../d6/d6e/a06445.html#abf7e08e1c58934132aebc2a95dbd72f9">ExpansionQuestObjectiveData::IsActive</a></div><div class="ttdeci">bool IsActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00081">expansionquestobjectivedata.c:81</a></div></div>
<div class="ttc" id="aa06445_html_ac734e16f17c7130d3b5a808e81f9325e"><div class="ttname"><a href="../../d6/d6e/a06445.html#ac734e16f17c7130d3b5a808e81f9325e">ExpansionQuestObjectiveData::SetCompleted</a></div><div class="ttdeci">void SetCompleted(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00066">expansionquestobjectivedata.c:66</a></div></div>
<div class="ttc" id="aa06445_html_acda02101c53d325b9184299d2f9b484d"><div class="ttname"><a href="../../d6/d6e/a06445.html#acda02101c53d325b9184299d2f9b484d">ExpansionQuestObjectiveData::OnSend</a></div><div class="ttdeci">void OnSend(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00136">expansionquestobjectivedata.c:136</a></div></div>
<div class="ttc" id="aa06445_html_ad2780dbcddc91df866a0452dc38ce614"><div class="ttname"><a href="../../d6/d6e/a06445.html#ad2780dbcddc91df866a0452dc38ce614">ExpansionQuestObjectiveData::IsCompleted</a></div><div class="ttdeci">bool IsCompleted()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00071">expansionquestobjectivedata.c:71</a></div></div>
<div class="ttc" id="aa06445_html_ad31e949f3acd92b1af27aa8aa7165168"><div class="ttname"><a href="../../d6/d6e/a06445.html#ad31e949f3acd92b1af27aa8aa7165168">ExpansionQuestObjectiveData::ObjectiveType</a></div><div class="ttdeci">int ObjectiveType</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00036">expansionquestobjectivedata.c:36</a></div></div>
<div class="ttc" id="aa06445_html_adaa42cf618a9b0131a057c7825895eb7"><div class="ttname"><a href="../../d6/d6e/a06445.html#adaa42cf618a9b0131a057c7825895eb7">ExpansionQuestObjectiveData::SetObjectiveIndex</a></div><div class="ttdeci">void SetObjectiveIndex(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00046">expansionquestobjectivedata.c:46</a></div></div>
<div class="ttc" id="aa06445_html_ae00b6ece5fc15163678e501dc966c8b0"><div class="ttname"><a href="../../d6/d6e/a06445.html#ae00b6ece5fc15163678e501dc966c8b0">ExpansionQuestObjectiveData::TimeLimit</a></div><div class="ttdeci">int TimeLimit</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00044">expansionquestobjectivedata.c:44</a></div></div>
<div class="ttc" id="aa06445_html_ae4a26ab07e956dabbd81b2ec6ba4ae83"><div class="ttname"><a href="../../d6/d6e/a06445.html#ae4a26ab07e956dabbd81b2ec6ba4ae83">ExpansionQuestObjectiveData::SetTimeLimit</a></div><div class="ttdeci">void SetTimeLimit(int time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00126">expansionquestobjectivedata.c:126</a></div></div>
<div class="ttc" id="aa06445_html_aeb6c72ff49382c0ab92afa8d6478c93d"><div class="ttname"><a href="../../d6/d6e/a06445.html#aeb6c72ff49382c0ab92afa8d6478c93d">ExpansionQuestObjectiveData::GetObjectiveIndex</a></div><div class="ttdeci">int GetObjectiveIndex()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00051">expansionquestobjectivedata.c:51</a></div></div>
<div class="ttc" id="aa06445_html_af74d4424dbe688e2c498b65dec8fde23"><div class="ttname"><a href="../../d6/d6e/a06445.html#af74d4424dbe688e2c498b65dec8fde23">ExpansionQuestObjectiveData::OnRecieve</a></div><div class="ttdeci">bool OnRecieve(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d26/a02162_source.html#l00149">expansionquestobjectivedata.c:149</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_2cb013c5fea97d25b3c5e425100cdce5.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_eb26c162496b02eac2af2f3f20c5c189.html">quests</a></li><li class="navelem"><a class="el" href="../../d7/d26/a02162.html">expansionquestobjectivedata.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
